LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

entity part1 is
	port
	(
			KEY : in STD_LOGIC_VECTOR(1 downto 0);		
			LEDR : OUT STD_LOGIC_VECTOR(9 downto 0)
	);
end;


architecture behav of part1 is
   signal countv : std_logic_vector(4 downto 0);
	signal rv : std_logic;
	signal k0, k1 : std_logic;
begin

  k0 <= KEY(0);
  k1 <= KEY(1);

UUT:
   entity work.counter(behav)
	generic map(5, 20)
	port map(clock=> k1, reset_n => k0, Q => countv, rollower => rv);
	
	
	
	LEDR(4 downto 0) <= countv;
	LEDR(9) <= rv;
	LEDR(8 downto 5) <= "0000";
	
	
end architecture;
	
	
	
